module.exports = {
    publicPath: './',//process.env.NODE_ENV === 'production' ? '/v2/web/' : './',
    productionSourceMap: false,
    devServer:{
        proxy: {
            '/api': {
                target: 'http://183.66.101.90:10023',
                // target: 'http://183.66.101.58:8083',
                ws: true,
                changeOrigin: true,
                pathRewrite: {
                    '^/api': '/'
                }
            }
          }
    },
    chainWebpack: config => {
        config.optimization
        .minimizer('terser')
        .tap(args => {
                Object.assign(args[0].terserOptions.compress, {
                pure_funcs: ['console.log']
            })
            return args
        })
    }
}
